Table of Contents

Class: WidgetPage | Twisted-0.17.4/twisted/web/widgets.py
--- | ---

I am a Page that takes a Widget in its constructor, and displays that Widget wrapped up in a simple HTML template.

Base Classes |
--- | ---

Page

resource.Resource
Presentation

Widget

Methods |
--- | ---
__init__ prePresent render
| __init__

    __init__ ( self,  widget )

| prePresent

    prePresent ( self,  request )

| render

    render ( self,  request )

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:53 2002 by HappyDoc version 2.0